import 'package:json_annotation/json_annotation.dart';

import '../../bean/user_info.dart';

part 'friends_list_response.g.dart';

@JsonSerializable()
class FriendsListResponse {
  @JsonKey(name: "list")
  List<UserInfo> friends;

  @JsonKey(name: "count")
  int count;

  FriendsListResponse({
    required this.friends,
    required this.count,
  });

  factory FriendsListResponse.fromJson(Map<String, dynamic> json) =>
      _$FriendsListResponseFromJson(json);

  Map<String, dynamic> toJson() => _$FriendsListResponseToJson(this);
}
